dart_tinydtls_libs 0.1.1 icon indicating copy to clipboard operation
dart_tinydtls_libs: ^0.1.1 copied to clipboard

Provides tinyDTLS binaries for adding DTLS support to Flutter apps.

dart_tinydtls_libs #

Provides tinyDTLS binaries for adding DTLS support to Flutter apps.

Usage #

This library can be used to distribute tinyDTLS binaries with Flutter apps which can be used by the dart_tinydtls client and server wrappers.

This library contains only pre-compiled dynamic libraries which can be used on Linux, Android, and Windows. More information on how to use this library can be found in the dart_tinydtls documentation.

Installation #

Simply run

flutter pub add dart_tinydtls_libs

in the terminal of your choice. In order to actually use the library, you also need to install dart_tinydtls which provides ffi bindings and idiomatic wrappers around tinyDTLS.

Third-Party Code #

This library contains compiled binaries of tinyDTLS for Linux, Android, and Windows. See the next section for licensing information.

License #

Matching the license of the tinydtls C library, this library is made available both under the terms of the Eclipse Public License v1.0 and 3-Clause BSD License (which the Eclipse Distribution License v1.0 that is used for tinydtls is based on). Additionally, the tinydtls C library contains third party code that might be included in compiled binaries that link to tinydtls. For information on third-party code and its licenses, see https://github.com/eclipse/tinydtls/blob/develop/ABOUT.md. See https://github.com/eclipse/tinydtls/blob/develop/LICENSE for more information on the tinydtls licensing terms and https://www.eclipse.org/legal/eplfaq.php for more information on the EPL 1.0.

Note: This library is neither supported nor endorsed by the Eclipse Foundation.

Maintainers #

This project is currently maintained by the following developers:

NameEmail AddressGitHub Username
Jan Romannjan.romann@uni-bremen.deJKRhb
Falko Galperinfalko1@uni-bremen.defalko17
2
likes
130
pub points
6%
popularity

Publisher

verified publisher iconnamib.me

Provides tinyDTLS binaries for adding DTLS support to Flutter apps.

Homepage

Documentation

API reference

License

Icon for licenses.unknown (LICENSE)

Dependencies

flutter

More

Packages that depend on dart_tinydtls_libs